java.lang.UnsupportedClassVersionError: Bad version number in .class file

Oracle Community | suttridge_farm | 7 years ago
tip
Do you find the tips below useful? Click on the to mark them and say thanks to rafael . Or join the community to write better ones.
  1. 0
    samebug tip
    Try using intelliJ with JDK 8
    via GitHub by lordigon
  2. 0

    Cannot package Sencha applicaiton for android native build on windows machine

    Stack Overflow | 4 years ago | Ameya
    java.lang.UnsupportedClassVersionError: Bad version number in .class file
  3. 0

    Eclipse Community Forums: Eclipse Platform » java.lang.UnsupportedClassVersionError: Bad version number in .class file

    eclipse.org | 1 year ago
    java.lang.UnsupportedClassVersionError: Bad version number in .class file
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    Eclipse Community Forums: Eclipse Platform » java.lang.UnsupportedClassVersionError: Bad version number in .class file

    eclipse.org | 2 years ago
    java.lang.UnsupportedClassVersionError: Bad version number in .class file
  6. 0

    Do the Spring Dynamic Modules for OSGi(tm) Service Platforms supports Java 1.5

    Google Groups | 9 years ago | p.do...@gmail.com
    java.lang.UnsupportedClassVersionError: Bad version number in .class file

    14 unregistered visitors
    Not finding the right solution?
    Take a tour to get the most out of Samebug.

    Tired of useless tips?

    Automated exception search integrated into your IDE

    Root Cause Analysis

    1. java.lang.UnsupportedClassVersionError

      Bad version number in .class file

      at java.lang.ClassLoader.defineClass1()
    2. Java RT
      ClassLoader.defineClass
      1. java.lang.ClassLoader.defineClass1(Native Method)
      2. java.lang.ClassLoader.defineClass(ClassLoader.java:620)
      2 frames